package xn.xxp.room.bean;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

@Entity
public class DeviceConfig {
    @PrimaryKey(autoGenerate = true)
    public int id;

    private String ip = "";
    private String devId = "";
    private String baseUrl = "http://10.148.100.82/api/";
    private String mqttName = "mqtt";
    private String mqttPas = "mqtt@zd1883";
    private String mqttAddress = "tcp://10.148.100.82:31072";
    private String adminPas = "admin@098&";
    private String terminalAuth = "";

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getDevId() {
        return devId;
    }

    public void setDevId(String devId) {
        this.devId = devId;
    }

    public String getBaseUrl() {
        return baseUrl;
    }

    public void setBaseUrl(String baseUrl) {
        this.baseUrl = baseUrl;
    }

    public String getMqttName() {
        return mqttName;
    }

    public void setMqttName(String mqttName) {
        this.mqttName = mqttName;
    }

    public String getMqttPas() {
        return mqttPas;
    }

    public void setMqttPas(String mqttPas) {
        this.mqttPas = mqttPas;
    }

    public String getMqttAddress() {
        return mqttAddress;
    }

    public void setMqttAddress(String mqttAddress) {
        this.mqttAddress = mqttAddress;
    }

    public String getAdminPas() {
        return adminPas;
    }

    public void setAdminPas(String adminPas) {
        this.adminPas = adminPas;
    }

    public String getTerminalAuth() {
        return terminalAuth;
    }

    public void setTerminalAuth(String terminalAuth) {
        this.terminalAuth = terminalAuth;
    }
}
